Models

Gemini 3.7 Flash

tools vision

gemini-3.7-flashGemini 3.7 Flash is a multimodal model from Google for fast agentic workflows.

Input / 1M tokens

$0.75

$0.00000075 / token

Output / 1M tokens

$3.75

$0.00000375 / token

Cached input / 1M

$0.075

Uptime · 24h

—

No traffic yet

Details

Type
Chat
Input
text, image, video, file, audio
Output
text
Context
1,048,576 tokens

Supported parameters

max_tokenstemperaturetop_pstopseedpresence_penaltyfrequency_penaltyresponse_formatpluginstoolstool_choiceparallel_tool_calls

Last 24 hours

Requests per hour; red = provider errors.

Avg latency
—
Avg first token
—
Throughput
—

Use it

curl https://api.ultragpt.pro/v1/chat/completions \
  -H "Authorization: Bearer $ULTRAGPT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gemini-3.7-flash",
    "messages": [{ "role": "user", "content": "Hello!" }]
  }'

Anthropic SDK / Claude Code

curl https://api.ultragpt.pro/v1/messages \
  -H "x-api-key: $ULTRAGPT_API_KEY" \
  -H "anthropic-version: 2023-06-01" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gemini-3.7-flash",
    "max_tokens": 1024,
    "messages": [{ "role": "user", "content": "Hello!" }]
  }'